﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication137
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = creatingData();

        }

        private DataSet creatingData()
        {
            DataTable table1 = new DataTable("patients");
            table1.Columns.Add("name");
            table1.Columns.Add("id");
            table1.Rows.Add("sam", 1);
            table1.Rows.Add("mark", 2);

            DataTable table2 = new DataTable("medications");
            table2.Columns.Add("id");
            table2.Columns.Add("medication");
            table2.Rows.Add(1, "atenolol");
            table2.Rows.Add(2, "amoxicillin");

            DataTable table3 = new DataTable("medications2");
            table3.Columns.Add("id2");
            table3.Columns.Add("medication2");
            table3.Rows.Add(1, "atenolol");
            table3.Rows.Add(2, "amoxicillin");

            DataSet set = new DataSet("office");
            set.Tables.Add(table1);
            set.Tables.Add(table2);
            set.Tables.Add(table3);
            DataRelation rel = new DataRelation("Rel", table1.Columns[1], table2.Columns[0]);
            DataRelation rel2 = new DataRelation("Rel2", table2.Columns[0], table3.Columns[0]);
            set.Relations.AddRange(new DataRelation[] {rel, rel2 });
            return set;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(ultraGrid1.ActiveRow.Band.Key);
        }
    }
}
